package com.ruoyi.system.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class SnServerLog extends BaseEntity {
   private static final long serialVersionUID = 1L;
   @Excel(
      name = "日志ID"
   )
   private Long logId;
   private Long serverId;
   @Excel(
      name = "服务器IP"
   )
   private String serverIp;
   private Long templateId;
   @Excel(
      name = "模板名称"
   )
   private String templateName;
   private Long taskId;
   @Excel(
      name = "任务名称"
   )
   private String taskName;
   @Excel(
      name = "操作名称"
   )
   private String optName;
   @Excel(
      name = "执行指令"
   )
   private String command;
   @Excel(
      name = "执行状态"
   )
   private Integer status;
   private String logText;
   @Excel(
      name = "耗时"
   )
   private Long time;

   public SnServerLog() {
   }

   public SnServerLog(SnServerTask task) {
      this.serverId = task.getServerId();
      this.serverIp = task.getServerIp();
      this.taskId = task.getTaskId();
      this.taskName = task.getTaskName();
      this.status = 0;
      this.setIsDelete(0);
      this.setCreateId(task.getCreateId());
      this.setCreateName(task.getCreateName());
      this.setCreateTime(DateUtils.getNowDate());
      this.setAgentId(task.getAgentId());
      this.setAgentName(task.getAgentName());
      this.setDealerId(task.getDealerId());
      this.setDealerName(task.getDealerName());
   }

   public String toString() {
      return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("logId", this.getLogId()).append("serverId", this.getServerId()).append("serverIp", this.getServerIp()).append("templateId", this.getTemplateId()).append("templateName", this.getTemplateName()).append("taskId", this.getTaskId()).append("taskName", this.getTaskName()).append("optName", this.getOptName()).append("command", this.getCommand()).append("status", this.getStatus()).append("logText", this.getLogText()).append("time", this.getTime()).append("createId", this.getCreateId()).append("createName", this.getCreateName()).append("createTime", this.getCreateTime()).append("updateId", this.getUpdateId()).append("updateName", this.getUpdateName()).append("updateTime", this.getUpdateTime()).toString();
   }

   public Long getLogId() {
      return this.logId;
   }

   public Long getServerId() {
      return this.serverId;
   }

   public String getServerIp() {
      return this.serverIp;
   }

   public Long getTemplateId() {
      return this.templateId;
   }

   public String getTemplateName() {
      return this.templateName;
   }

   public Long getTaskId() {
      return this.taskId;
   }

   public String getTaskName() {
      return this.taskName;
   }

   public String getOptName() {
      return this.optName;
   }

   public String getCommand() {
      return this.command;
   }

   public Integer getStatus() {
      return this.status;
   }

   public String getLogText() {
      return this.logText;
   }

   public Long getTime() {
      return this.time;
   }

   public void setLogId(Long logId) {
      this.logId = logId;
   }

   public void setServerId(Long serverId) {
      this.serverId = serverId;
   }

   public void setServerIp(String serverIp) {
      this.serverIp = serverIp;
   }

   public void setTemplateId(Long templateId) {
      this.templateId = templateId;
   }

   public void setTemplateName(String templateName) {
      this.templateName = templateName;
   }

   public void setTaskId(Long taskId) {
      this.taskId = taskId;
   }

   public void setTaskName(String taskName) {
      this.taskName = taskName;
   }

   public void setOptName(String optName) {
      this.optName = optName;
   }

   public void setCommand(String command) {
      this.command = command;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setLogText(String logText) {
      this.logText = logText;
   }

   public void setTime(Long time) {
      this.time = time;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SnServerLog)) {
         return false;
      } else {
         SnServerLog other = (SnServerLog)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label155: {
               Object this$logId = this.getLogId();
               Object other$logId = other.getLogId();
               if (this$logId == null) {
                  if (other$logId == null) {
                     break label155;
                  }
               } else if (this$logId.equals(other$logId)) {
                  break label155;
               }

               return false;
            }

            Object this$serverId = this.getServerId();
            Object other$serverId = other.getServerId();
            if (this$serverId == null) {
               if (other$serverId != null) {
                  return false;
               }
            } else if (!this$serverId.equals(other$serverId)) {
               return false;
            }

            Object this$templateId = this.getTemplateId();
            Object other$templateId = other.getTemplateId();
            if (this$templateId == null) {
               if (other$templateId != null) {
                  return false;
               }
            } else if (!this$templateId.equals(other$templateId)) {
               return false;
            }

            label134: {
               Object this$taskId = this.getTaskId();
               Object other$taskId = other.getTaskId();
               if (this$taskId == null) {
                  if (other$taskId == null) {
                     break label134;
                  }
               } else if (this$taskId.equals(other$taskId)) {
                  break label134;
               }

               return false;
            }

            label127: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label127;
                  }
               } else if (this$status.equals(other$status)) {
                  break label127;
               }

               return false;
            }

            label120: {
               Object this$time = this.getTime();
               Object other$time = other.getTime();
               if (this$time == null) {
                  if (other$time == null) {
                     break label120;
                  }
               } else if (this$time.equals(other$time)) {
                  break label120;
               }

               return false;
            }

            Object this$serverIp = this.getServerIp();
            Object other$serverIp = other.getServerIp();
            if (this$serverIp == null) {
               if (other$serverIp != null) {
                  return false;
               }
            } else if (!this$serverIp.equals(other$serverIp)) {
               return false;
            }

            label106: {
               Object this$templateName = this.getTemplateName();
               Object other$templateName = other.getTemplateName();
               if (this$templateName == null) {
                  if (other$templateName == null) {
                     break label106;
                  }
               } else if (this$templateName.equals(other$templateName)) {
                  break label106;
               }

               return false;
            }

            Object this$taskName = this.getTaskName();
            Object other$taskName = other.getTaskName();
            if (this$taskName == null) {
               if (other$taskName != null) {
                  return false;
               }
            } else if (!this$taskName.equals(other$taskName)) {
               return false;
            }

            label92: {
               Object this$optName = this.getOptName();
               Object other$optName = other.getOptName();
               if (this$optName == null) {
                  if (other$optName == null) {
                     break label92;
                  }
               } else if (this$optName.equals(other$optName)) {
                  break label92;
               }

               return false;
            }

            Object this$command = this.getCommand();
            Object other$command = other.getCommand();
            if (this$command == null) {
               if (other$command != null) {
                  return false;
               }
            } else if (!this$command.equals(other$command)) {
               return false;
            }

            Object this$logText = this.getLogText();
            Object other$logText = other.getLogText();
            if (this$logText == null) {
               if (other$logText != null) {
                  return false;
               }
            } else if (!this$logText.equals(other$logText)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SnServerLog;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $logId = this.getLogId();
      result = result * 59 + ($logId == null ? 43 : $logId.hashCode());
      Object $serverId = this.getServerId();
      result = result * 59 + ($serverId == null ? 43 : $serverId.hashCode());
      Object $templateId = this.getTemplateId();
      result = result * 59 + ($templateId == null ? 43 : $templateId.hashCode());
      Object $taskId = this.getTaskId();
      result = result * 59 + ($taskId == null ? 43 : $taskId.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $time = this.getTime();
      result = result * 59 + ($time == null ? 43 : $time.hashCode());
      Object $serverIp = this.getServerIp();
      result = result * 59 + ($serverIp == null ? 43 : $serverIp.hashCode());
      Object $templateName = this.getTemplateName();
      result = result * 59 + ($templateName == null ? 43 : $templateName.hashCode());
      Object $taskName = this.getTaskName();
      result = result * 59 + ($taskName == null ? 43 : $taskName.hashCode());
      Object $optName = this.getOptName();
      result = result * 59 + ($optName == null ? 43 : $optName.hashCode());
      Object $command = this.getCommand();
      result = result * 59 + ($command == null ? 43 : $command.hashCode());
      Object $logText = this.getLogText();
      result = result * 59 + ($logText == null ? 43 : $logText.hashCode());
      return result;
   }
}
