package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.SnServerTask;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

public interface SnServerTaskMapper {
   SnServerTask queryLastTask(@Param("serverId") Long var1);

   SnServerTask selectSnServerTaskByTaskId(Long var1);

   List<SnServerTask> selectSnServerTaskList(SnServerTask var1);

   int insertSnServerTask(SnServerTask var1);

   int updateSnServerTask(SnServerTask var1);

   int deleteSnServerTaskByTaskId(Long var1);

   @Delete({"delete from sn_server_task where server_id = #{serverId}"})
   int deleteSnServerTaskByServerId(@Param("serverId") Long var1);

   @Update({"update sn_server_task set is_delete = 1 where server_id = #{serverId}"})
   int deleteSnServerTaskByServerIdV2(@Param("serverId") Long var1);

   int deleteSnServerTaskByTaskIds(Long[] var1);

   int deleteSnServerTaskByTaskIdsV2(@Param("taskIds") Long[] var1, @Param("createId") Long var2);

   @Select({"select count(*) from sn_server_task where server_id = #{serverId} and status in (${status}) and is_delete = 0 and task_name like '%${taskName}%'"})
   int haveDealTask(@Param("serverId") Long var1, @Param("taskName") String var2, @Param("status") String var3);
}
