package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.utils.StringUtils;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.domain.SnTemplate;
import com.ruoyi.system.domain.SnTemplatePerms;
import com.ruoyi.system.enums.BussLogEnum;
import com.ruoyi.system.mapper.SnTemplatePermsMapper;
import com.ruoyi.system.mapper.SysUserMapper;
import com.ruoyi.system.service.ISnTemplatePermsService;
import com.ruoyi.system.service.ISnTemplateService;
import com.ruoyi.system.service.ISysBussLogService;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class SnTemplatePermsServiceImpl implements ISnTemplatePermsService {
   @Autowired
   private SnTemplatePermsMapper snTemplatePermsMapper;
   @Autowired
   private ISysBussLogService sysBussLogService;
   @Autowired
   private ISnTemplateService snTemplateService;
   @Autowired
   private SysUserMapper userMapper;

   public SnTemplatePerms selectSnTemplatePermsById(Long id) {
      return this.snTemplatePermsMapper.selectSnTemplatePermsById(id);
   }

   public List<SnTemplatePerms> selectSnTemplatePermsList(SnTemplatePerms snTemplatePerms) {
      return this.snTemplatePermsMapper.selectSnTemplatePermsList(snTemplatePerms);
   }

   public int insertSnTemplatePerms(SnTemplatePerms snTemplatePerms) {
      snTemplatePerms.setCreateTime(DateUtils.getNowDate());
      return this.snTemplatePermsMapper.insertSnTemplatePerms(snTemplatePerms);
   }

   public int updateSnTemplatePerms(SnTemplatePerms snTemplatePerms) {
      return this.snTemplatePermsMapper.updateSnTemplatePerms(snTemplatePerms);
   }

   @Transactional
   public AjaxResult updateUserPerms(List<Long> templates, Long userId) {
      SnTemplatePerms params = new SnTemplatePerms();
      params.setUserId(userId);
      List<SnTemplatePerms> olds = this.snTemplatePermsMapper.selectSnTemplatePermsList(params);
      List<Long> oldIds = (List)olds.stream().map(SnTemplatePerms::getTemplateId).distinct().collect(Collectors.toList());
      this.snTemplatePermsMapper.deletePermsByUserId(userId);
      List reduceIds;
      if (!templates.isEmpty()) {
         reduceIds = (List)templates.stream().map((templateId) -> {
            SnTemplatePerms obj = new SnTemplatePerms();
            obj.setTemplateId(templateId);
            obj.setUserId(userId);
            obj.setCreateTime(DateUtils.getNowDate());
            return obj;
         }).collect(Collectors.toList());
         this.snTemplatePermsMapper.insertBatch(reduceIds);
      }

      try {
         reduceIds = (List)oldIds.stream().filter((id) -> {
            return !templates.contains(id);
         }).collect(Collectors.toList());
         List<Long> addIds = (List)templates.stream().filter((id) -> {
            return !oldIds.contains(id);
         }).collect(Collectors.toList());
         List<Long> tmpIds = new ArrayList();
         tmpIds.addAll(reduceIds);
         tmpIds.addAll(addIds);
         SnTemplate snTemplate = new SnTemplate();
         snTemplate.getParams().put("templateIds", tmpIds.stream().distinct().toArray((x$0) -> {
            return new Long[x$0];
         }));
         List<SnTemplate> tmpList = this.snTemplateService.selectSnTemplateList(snTemplate);
         String reduceStr = (String)tmpList.stream().filter((tp) -> {
            return reduceIds.contains(tp.getTemplateId());
         }).map((tp) -> {
            return "【" + tp.getName() + "】";
         }).collect(Collectors.joining("\n"));
         String addStr = (String)tmpList.stream().filter((tp) -> {
            return addIds.contains(tp.getTemplateId());
         }).map((tp) -> {
            return "【" + tp.getName() + "】";
         }).collect(Collectors.joining("\n"));
         String remark = "";
         if (StringUtils.isNotEmpty(reduceStr)) {
            remark = remark + "删除模板\n" + reduceStr + "\n\n\n";
         }

         if (StringUtils.isNotEmpty(addStr)) {
            remark = remark + "增加模板\n" + addStr + "\n";
         }

         if (StringUtils.isNotEmpty(remark)) {
            SysUser user = this.userMapper.selectUserById(userId);
            this.sysBussLogService.insertSysBussLog(BussLogEnum.OptTemplate.getType(), user.getUserId(), user.getUserName(), remark);
         }
      } catch (Exception var15) {
      }

      return AjaxResult.success();
   }

   public int deleteSnTemplatePermsByIds(Long[] ids) {
      return this.snTemplatePermsMapper.deleteSnTemplatePermsByIds(ids);
   }

   public int deleteSnTemplatePermsById(Long id) {
      return this.snTemplatePermsMapper.deleteSnTemplatePermsById(id);
   }
}
