package com.ruoyi.system.enums;

import java.util.Objects;

public enum TaskTypeEnum {
   installBase(1, true, "安装服务器基础环境"),
   installClient(2, true, "安装客户端模板"),
   deleteClient(3, true, "删除客户端"),
   changeClientDomain(4, true, "更换客户端域名"),
   deploySSL(5, true, "部署ssl证书"),
   updateBaseUI(6, true, "更新UI包"),
   ddlUpdate(7, false, "更新数据库表结构"),
   uaUpdate(8, false, "更新爬虫UA库"),
   updateBack(9, true, "更新后台包"),
   updateClient(10, true, "更新客户端UI包");

   private final Integer type;
   private final String name;
   private final Boolean isConnect;

   private TaskTypeEnum(Integer type, Boolean isConnect, String name) {
      this.type = type;
      this.name = name;
      this.isConnect = isConnect;
   }

   public static Boolean isConnect(Integer type) {
      TaskTypeEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         TaskTypeEnum val = var1[var3];
         if (Objects.equals(val.type, type)) {
            return val.isConnect;
         }
      }

      return false;
   }

   public Integer getType() {
      return this.type;
   }

   public String getName() {
      return this.name;
   }

   // $FF: synthetic method
   private static TaskTypeEnum[] $values() {
      return new TaskTypeEnum[]{installBase, installClient, deleteClient, changeClientDomain, deploySSL, updateBaseUI, ddlUpdate, uaUpdate, updateBack, updateClient};
   }
}
